package com.ruoyi.pt.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 事件提级或退回
 * @author du
 * @since 2024/9/6 8:58
 */
@Data
@ApiModel("事件提级或退回")
public class AEventChangeIsReport {

    /**
     * 1.重新上报驾驶舱 2.退回算法重训练
     */
    @ApiModelProperty("1.重新上报驾驶舱 2.退回算法重训练")
    @NotNull
    private Integer isReport;

    /**
     * 事件集合编号（主键）
     */
    @NotNull
    @ApiModelProperty("事件集合编号（主键）")
    private String innerEventId;

    /**
     * 工单编号数组
     */
    @NotNull
    @ApiModelProperty("事件集合编号（主键）")
    private List<String> caseSerial;

}
