package com.ruoyi.pt.entity.response;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.pt.entity.CasesImport;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author du
 * @since 2024/9/6 15:46
 */
@Data
@ApiModel("最新100条工单")
public class ANew100PageResponse extends CasesImport {
    /**
     * 事件集合编号（主键）
     */
    @ApiModelProperty(value = "事件集合编号（主键）")
    @TableField(value = "innerEventId")
    private String innerEventId;

    /**
     * 事件类型编码
     */
    @ApiModelProperty(value = "事件类型编码")
    @TableField(value = "msgType")
    private String msgType;


    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer nums;
}
